## file-roller 3.28.0

=== meson_options.txt ===
option('run-in-place', 
  type : 'boolean', 
  value : false, 
  description : 'Load ui data from the source tree'
)

option('nautilus-actions',
  type : 'boolean', 
  value : true, 
  description : 'Build the nautilus context menu actions'
)

option('notification',
  type : 'boolean', 
  value : true, 
  description : 'Enable operation completion notification'
)

option('packagekit',
  type : 'boolean', 
  value : true, 
  description : 'Build PackageKit installer for missing utilities'
)

option('libarchive',
  type : 'boolean', 
  value : true, 
  description : 'Enable code that requires libarchive'
)

option('magic',
  type : 'boolean', 
  value : true, 
  description : 'Use libmagic to detect file type'
)

option('cpio',
  type : 'string',
  value : 'auto',
  description : 'Path to the cpio program'
)

## file-roller 2.24.3-1maemo1

=== debian/changelog ===
file-roller (2.24.3-1maemo1) unstable; urgency=low

  * Initial release

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 13 Apr 2010 00:37:30 +0300

=== debian/control ===
Source: file-roller
Section: user/utilities
Priority: extra
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libgnomeui-dev, libgtk2.0-dev, gnome-doc-utils, scrollkeeper
Standards-Version: 3.7.2

Package: file-roller
Architecture: any
Depends: libart-2.0-2 (>= 2.3.16), libatk1.0-0 (>= 1.24.0), libbonobo2-0 (>= 2.15.0), libbonoboui2-0 (>= 2.15.1), libc6 (>= 2.5.0-1), libcairo2, libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libgconf2-6 (>= 2.13.5), libglade2-0 (>= 1:2.3.6), libglib2.0-0 (>= 2.20.0), libgnome2-0 (>= 2.17.3), libgnomecanvas2-0 (>= 2.11.1), libgnomeui-0 (>= 2.17.1), libgtk2.0-0 (>= 2:2.12.9-0osso1), libice6 (>= 1:1.0.0), liborbit2 (>= 1:2.14.10), libosso-gnomevfs2-0, libpango1.0-0, libpixman-1-0 (>= 0.14.0-9+0m5), libpng12-0 (>= 1.2.13-4), libpopt0 (>= 1.10), libsm6, libx11-6, libxml2 (>= 2.6.32), libxrender1, zlib1g (>= 1:1.2.1)
Description: an archive manager for GNOME
 File-roller is an archive manager for the GNOME environment. It allows you to:
 .
  * Create and modify archives.
  * View the content of an archive.
  * View a file contained in an archive.
  * Extract files from the archive.
 .
 File-roller supports the following formats:
  * Tar (.tar) archives, including those compressed with
    gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
    compress (.tar.Z, .taz), lzop (.tar.lzo, .tzo) and lzma (.tar.lzma)
  * Zip archives (.zip)
  * Jar archives (.jar, .ear, .war)
  * 7z archives (.7z)
  * iso9660 CD images (.iso)
  * Lha archives (.lzh)
  * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
    compress (.Z), lzip (.lz), lzop (.lzo), lzma (.lzma) and xz (.xz)
 .
 File-roller doesn't perform archive operations by itself, but relies on
 standard tools for this.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/file-roller.sgml > file-roller.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/file-roller.
	$(MAKE) DESTDIR=$(CURDIR)/debian/file-roller install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## file-roller 2.24.3-1maemo2

=== debian/changelog ===
file-roller (2.24.3-1maemo2) unstable; urgency=low

  * Fixed App Manager icon.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 13 Apr 2010 04:05:44 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: file-roller
 Architecture: any
 Depends: libart-2.0-2 (>= 2.3.16), libatk1.0-0 (>= 1.24.0), libbonobo2-0 (>= 2.15.0), libbonoboui2-0 (>= 2.15.1), libc6 (>= 2.5.0-1), libcairo2, libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libgconf2-6 (>= 2.13.5), libglade2-0 (>= 1:2.3.6), libglib2.0-0 (>= 2.20.0), libgnome2-0 (>= 2.17.3), libgnomecanvas2-0 (>= 2.11.1), libgnomeui-0 (>= 2.17.1), libgtk2.0-0 (>= 2:2.12.9-0osso1), libice6 (>= 1:1.0.0), liborbit2 (>= 1:2.14.10), libosso-gnomevfs2-0, libpango1.0-0, libpixman-1-0 (>= 0.14.0-9+0m5), libpng12-0 (>= 1.2.13-4), libpopt0 (>= 1.10), libsm6, libx11-6, libxml2 (>= 2.6.32), libxrender1, zlib1g (>= 1:1.2.1)
-Description: an archive manager for GNOME
+Description: An archive manager for GNOME, ported to Maemo.
  File-roller is an archive manager for the GNOME environment. It allows you to:
  .
   * Create and modify archives.
@@ -30,4 +30,166 @@
  .
  File-roller doesn't perform archive operations by itself, but relies on
  standard tools for this.
-
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
+ SU1FB9oEDQA0JhG8nf4AACAASURBVHgBAUBAv78AAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAKysrBgQJC2EA/wE4
+ AAL/CwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA/gAB3f/9
+ AKfUzsnSAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAV1dRL/7+ASLf5OqFAgMBJyopKAALCgkC6OnpAPj4+AAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAwMDAAUExMAAAAAAAAAAADn6Or83N3eAhQSEIMSEQ7VAQH+
+ /wD9A+Krq6vLAAAA/wAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAV1dRLwECBKj9
+ /v4o8vP2AO7x9AB/enYAEREQAOXm5QDY2dcAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAFBQYAOTc5
+ AAUFBQAAAAAAGhkaAPr6+gCnqasAtbi6ACAdFwAAAAAAAAAAAAMDAtL9+wBK
+ q6ur5QAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAFVVVRgAAgC/JCUkDTQ0MgCzt7wADvDzAAcH
+ BgD29vYA2NfXAOvs6wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABMTEwDt7e0A/v//AAD//wAXFhgA
+ 7O3sAENDPQBDQz0A/wAAAP38+wDo6uoA9vP3K7q7uaoAAAA7AAAAAAQAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAQP/gggICQxAQUAE7u7tAPPx8QDk5ugAz9DQAAEAAQDq6+sA6+vr
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAA8fHyAAwMDgAAAAAAAP//AP3+/wANDQwA1NXVANbY2gAt
+ KiYA8/T0ADIyMAALCQoD/v7/OVVVVR6rq6viBAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAFNaUyUA/gBjNTYz
+ Au/v7wCrqq3//f7/zfj3+C6ytbgFExIQAQEAAAD5+fkA////AAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ APQAx8jJAAkJCQAAAAAAz9HSAPz9/gDZ297/Dw0L0/bz8PEAAAA9FBQSABcX
+ FwAAAAABAgL9FwAAAOIEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAABP8DhQ0OC/0oKCgCu7q8/QIDA9wrKSo3
+ 297nK/T095Pz9PU2//8ACQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAO0AAAAAAAAA
+ AAAAAAAAAQEA4/7+/5oWEhKHAQH/lwgJCTgkJCUFysjJ/wEBAuzp6OvPAAAA
+ AAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAFNYUzH+/v1UNjc1AfPy9ADe3t8DAAH/doCAgP4AAADTAAAAQAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ ACgiICoAAABjNTU0Avj49wDV1tf//v8AesDAwPwAAAAAAgAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAEDihUUFPwn
+ JygAxcTG/AIDAsurqK6yAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQMAihAQD/0rKikA
+ ycjK/QICAN0B/gGfAAAAAAAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAFVVVT/+/v1ENjg1APHw8ADh4uEEAP4CdQAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAFVVVT////5LODk4AO7v8ADd3d4D/wABcqyrq/0A
+ AAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAgUAixsaG/woJykAurm7+wICA7yrq6vBAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAABAQQAkBobGvwjIyMAwcDA/AICAsOsqay0AAAAAAAAAAAAAAAABAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAFVYUk7+/f41ODo3
+ AOrq6gDp6uoE/gEAdgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAFVYUlb//v4vOTg4Aefm
+ 5wDo6OkD/gEAcgAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAACAgIACAgIEiiEhIP0nJicAs7Oz+wICA6ytqK3P
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAABJSUkHAwEEiyUmJP8eHh0Aurq7+wABAKqtqK3MAAAA
+ AAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAANXY0lsA//8lPj8/A+Li4wDx8fID/AH9ewAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AA0PCmr/AP8aOjo6Atna2wD19fUAAwD9eAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABVVVUGAwIDhicoJwAj
+ IiMAsLCw+wEA/5+tpq3bAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABQUFAQAQECfy0tLAMTExMA
+ vLu8/P39/pSoqLDgAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAC/mb//wAZRkVFAtjX2AD19fUAAQD8gQAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAUHA3oEBQQKPD08ANDO0AD7/Pv3Af8ChAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AABdXV0LAgIDgTAwMAMaGRwAr6+u+////5OoqLHjAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABS
+ WlIfAQEBcDU1NAUKCgoAwcLC/f79/oGrq6vuAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAQEBABBUVFSMBAf4dAAAAAAAAAAAAAAAAAAAAAPj69mEAAAASGhkZ
+ AKmpqAD4+fn+Af8AxlZWU0QAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAb+AQELAAAAAAIBAg0A
+ /vwbAAAAxAMDB9Onp6fsAAAAAAAAAAAAAAAAAAAAAAT9AoUMDQ0APj0/ALy8
+ vP4A/wDpDAoOlQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAW1tbDvn793QBAQFzAAAA
+ CgAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAA/wACAgIA/v7+AAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+ AAAAAAAAAAAAAAAAAAAAAAAAAAICAgADAgIA/P39AP///wAAAAAAAAAAAAAB
+ /77+AAF3raitzAAAAABXV1Iy/gABzExNTAErKSsAiYqJ//8AAV2sqaylAAAA

## file-roller 2.30.2

=== debian/changelog ===
file-roller (2.30.2-2) unstable; urgency=low

  * Only suggest lzma. Closes: #595117.
  * Include some patches sitting in the upstream repository:
    + 01_rar_crasher.patch: fix a crasher with the rar command.
    + 02_escape_newlines.patch: handle the case of files with newlines 
      in their name. 
    + 03_tar_xz_update.patch: update .tar.xz files without losing the 
      data in them. Closes: #594839.

 -- Josselin Mouette <joss@debian.org>  Sat, 18 Sep 2010 13:37:15 +0200

file-roller (2.30.2-1) unstable; urgency=low

  * New upstream translation release.
  * 90_relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Fri, 23 Jul 2010 18:22:49 +0200

file-roller (2.30.1.1-2) unstable; urgency=low

  * 10_command_dpkg.patch: new patch. Add support for .deb files using 
    dpkg. Closes: #515175.
  * 90_relibtoolize.patch: re-run the autotools on top of that.

 -- Josselin Mouette <joss@debian.org>  Thu, 10 Jun 2010 04:56:03 +0200

file-roller (2.30.1.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * debian/patches/01_nodbus_build.patch
    - Removed, merged upstream.
  * debian/control.in
    - Bump Standards-Version to 3.8.4. No further changes.
    - Add Vcs-* fields.

 -- Michael Biebl <biebl@debian.org>  Tue, 04 May 2010 18:17:28 +0200

file-roller (2.30.0-2) unstable; urgency=low

  * 01_nodbus_build.patch: new patch. Fix FTBFS with PackageKit support 
    disabled.

 -- Josselin Mouette <joss@debian.org>  Thu, 08 Apr 2010 09:27:05 +0200

file-roller (2.30.0-1) unstable; urgency=low

  * New upstream release.
  * Disable packagekit support.

 -- Josselin Mouette <joss@debian.org>  Wed, 07 Apr 2010 22:22:39 +0200

file-roller (2.28.2-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Dec 2009 12:56:53 +0100

file-roller (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 20:50:03 +0200

file-roller (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/file-roller.mime: add new supported formats lzip and xz.
  * debian/control{,in}: mention new formats in description,
    and suggest lzip and xz-utils, bump build-dependency on gtk+ to >= 2.16.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2009 18:37:32 +0200

file-roller (2.26.3-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/20_am-maintainer-mode.patch
    debian/patches/70_autotools.patch:
    - Removed, no point in keeping them now that we don't patch
      configure.ac or any makefile.

  [ Josselin Mouette ]
  * Recommend rpm2cpio instead of rpm. Closes: #541856.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Aug 2009 00:37:57 +0200

file-roller (2.26.2-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    - Remove libglade, libgnome2 and libgnomeui Build-Depends.
  * debian/patches/70_autotools.patch:
    - Update to apply cleanly.

  [ Josselin Mouette ]
  * New upstream release.
  * 70_autotools.patch: regenerated for the new version.
  * Remove some autogenerated files in the clean target, the make the 
    build fail.

 -- Josselin Mouette <joss@debian.org>  Thu, 11 Jun 2009 23:36:19 +0200

file-roller (2.24.3-1) unstable; urgency=low

  * New upstream release.
  * Standards version is 3.8.1.
  * Pass --no-act to dh_makeshlibs.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 14:34:20 +0200

file-roller (2.24.2-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Dec 2008 16:44:14 +0100

file-roller (2.24.1-1) experimental; urgency=low

  * New upstream release.
    + Can add empty directories to archives. Closes: #420961.
  * Update build-dependencies.
  * Suggest rzip and unalz.
  * Depend on p7zip-full, since 7z can now be used for zip, rar and iso
    archives now.
  * Let zip, unzip and unrar in Suggests for jar and cbr archives, as 
    well as arj for arj write support. Add p7zip-rar as an alternative 
    for unrar.
  * Drop genisoimage Recommends.
  * Move sharutils, ncompress, lzop, unace and cpio to Suggests.
    Closes: #501083.
  * Add binutils (for ar), rzip, unalz and zoo to Suggests.
    Closes: #455672.
  * 02_nautilus_2.20.patch: dropped, we build against nautilus 2.22 now.
  * 20_am-maintainer-mode.patch: updated.
  * 70_autotools.patch: regenerated for the new version.
  * Recommend gvfs for gtk_show_uri.
  * file-roller.mime: update for the new list of MIME types.
  * file-roller.1: fix whatis entry.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 Nov 2008 00:32:32 +0100

file-roller (2.22.4-2) unstable; urgency=low

  * Add "maintainer mode" support; closes: #494237.
    - New patch, 20_am-maintainer-mode, call AM_MAINTAINER_MODE in
      configure.in.
    - Replace patch 70_autoconf with 70_autotools which is generated by
      aclocal-1.10 && autoconf && automake-1.10 && rm -rf autom4te.cache.
  * Refresh patch 99_ltmain_as-needed to apply cleanly.

 -- Loic Minier <lool@dooz.org>  Fri, 08 Aug 2008 01:52:00 +0200

file-roller (2.22.4-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 99_ltmain_as-needed.patch: fix to apply with -p1. Closes: #485342.
  * 01_menu_change.patch: remove this patch that causes file-roller not 
    show up in the menu, there is really no point in doing so, unlike 
    eog or evince. Closes: #484033.

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 10:51:52 +0200

file-roller (2.22.3-1) unstable; urgency=low



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: file-roller
Section: gnome
Priority: optional
Maintainer: Clément Stenac <zorglub@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5),
               gnome-pkg-tools (>= 0.12),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.16.0),
               libnautilus-extension-dev (>= 2.22.2),
               gettext,
               intltool (>= 0.35.0),
               scrollkeeper,
               gnome-doc-utils (>= 0.3.2),
               libgconf2-dev
Standards-Version: 3.8.4
Homepage: http://fileroller.sourceforge.net
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/file-roller/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/file-roller/

Package: file-roller
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tar (>= 1.13.25),
         bzip2 (>= 1.0.1),
         gzip (>= 1.3.2),
         p7zip-full
Conflicts: file-roller2
Replaces: gnome-icon-theme (<< 2.14)
Recommends: rpm2cpio,
            gnome-icon-theme (>= 2.18),
            gvfs
Suggests: lha,
          unrar | p7zip-rar,
          sharutils,
          ncompress,
          binutils,
          cpio,
          unace,
          lzip,
          lzma,
          lzop,
          rzip,
          unalz,
          unzip,
          zip,
          zoo,
          xz-utils,
          arj
Description: an archive manager for GNOME
 File-roller is an archive manager for the GNOME environment. It allows you to:
 .
  * Create and modify archives.
  * View the content of an archive.
  * View a file contained in an archive.
  * Extract files from the archive.
 .
 File-roller supports the following formats:
  * Tar (.tar) archives, including those compressed with
    gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
    compress (.tar.Z, .taz), lzip (.tar.lz, .tlz), lzop (.tar.lzo, .tzo),
    lzma (.tar.lzma) and xz (.tar.xz)
  * Zip archives (.zip)
  * Jar archives (.jar, .ear, .war)
  * 7z archives (.7z)
  * iso9660 CD images (.iso)
  * Lha archives (.lzh)
  * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
    compress (.Z), lzip (.lz), lzop (.lzo), lzma (.lzma) and xz (.xz)
 .
 File-roller doesn't perform archive operations by itself, but relies on
 standard tools for this.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_INSTALL_MANPAGES_file-roller += debian/file-roller.1

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
			     --disable-packagekit

DEB_DH_MAKESHLIBS_ARGS += --no-act

binary-install/file-roller::
	rm -f debian/file-roller/usr/lib/nautilus/extensions-*/*.a
	rm -f debian/file-roller/usr/lib/nautilus/extensions-*/*.la

binary-post-install/file-roller::
	# check for missing MIME types
	desktop-check-mime-types

clean::
	rm -f src/fr-marshal.? src/fr-enum-types.?
	if [ -f configure.in ] && [ ! -f gnome-doc-utils.make ]; then \
		cp /usr/share/gnome-doc-utils/gnome-doc-utils.make . ; \
	fi

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/file-roller/([\d\.]+)[02468]/file-roller-([\d\.]+)\.tar\.gz

## file-roller 2.32.0

=== debian/changelog ===
file-roller (2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Fixed call to the package installer.
    - Updated Translations

 -- Brian Curtis <bcurtiswx@ubuntu.com>  Mon, 27 Sep 2010 16:37:06 -0400

file-roller (2.31.92-0ubuntu1) maverick; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Sep 2010 22:45:02 +0200

file-roller (2.31.91-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 31 Aug 2010 14:59:10 +1000

file-roller (2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Bump libglib2.0-dev and libgtk2.0-dev versions
  * debian/file-roller.mime:
    - Added lrzip mime types
  * debian/patches/10_command_dpkg.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Aug 2010 11:31:57 +1000

file-roller (2.30.2-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
  * debian/control.in:
    - Build-depend on dh-autoreconf, gnome-common for autotools
    - Build-depend on libdbus-glib-1-dev to get future PackageKit integration
    - Build-depend on liblaunchpad-integration-dev
    - Add Vcs-Bzr link
    - Support zip/unzip instead of p7zip
    - rpm2cpio as suggests instead of recommends
  * debian/rules:
    - Include autoreconf makefile
  * debian/patches/01_menu_change.patch:
    - Don't show file-roller in the menu
  * debian/patches/02_lpi.patch:
    - Add Launchpad integration
  * debian/patches/20_am-maintainer-mode.patch:
    - Call AM_MAINTAINER_MODE as we patch some Makefile.am
  * debian/patches/90_relibtoolize.patch:
    - Not required as we run autotools on build
  * debian/watch:
    - Watch unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Aug 2010 17:01:05 +1000

file-roller (2.30.1.1-0ubuntu2) lucid-proposed; urgency=low

  * debian/patches/70_autotools.patch: (LP: #571589)
    - use autoreconf

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Apr 2010 12:39:32 +0200

file-roller (2.30.1.1-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release:
    - Extract multi-byte filename from URI in case of DND. (Takao
      Fujiwara) (#613298)
    - Fixed build error when dbus is not available.
    - Updated translations
  * debian/patches/70_autotools.patch:
    - refreshed

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Apr 2010 18:53:40 +0200

file-roller (2.30.0-0ubuntu1) lucid; urgency=low

  * New upstream version
  * debian/patches/70_autotools.patch:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Mar 2010 23:37:19 +0200

file-roller (2.29.92-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - Allow to start the PackageKit service if it's not available. Removed
      the call to NameHashOwner. (#610813)
    - Recheck commands presence after package installation.. Clear the
      program cache before updating the capabilities. (#610815)
    - Updated translations
  * debian/patches/70_autotools.patch:
    - refreshed

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Mar 2010 10:00:13 +0100

file-roller (2.29.91-0ubuntu1) lucid; urgency=low

  * New upstream version:
    Bugs fixed:
    - Ensure that strcmp gets non-NULL values (lp #519348)
  * debian/patches/70_autotools.patch:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Feb 2010 22:39:28 +0100

file-roller (2.29.90-0ubuntu1) lucid; urgency=low

  * New upstream version
    Bugs fixed:
    - Fixed some file renaming issues(lp: #485098) 
    New or updated application translations
  * debian/patches/70_autotools.patch:
    - new version update
    
 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Feb 2010 00:36:30 +0100

file-roller (2.29.4-0ubuntu1) lucid; urgency=low

  * New upstream version:
    Bugs fixed:
    - [arj] Fixed the way to get the filename from the command output
    - Do not show the password dialog if not needed. check only the files
      to extract to see if the password prompt is needed.(lp: #494793)
    New or updated application translations
  * debian/patches/70_autotools.patch:
    - new version update
         
 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jan 2010 23:23:17 +0100

file-roller (2.29.3-0ubuntu1) lucid; urgency=low

  * New upstream version
  * debian/patches/70_autotools.patch:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Jan 2010 16:19:29 +0100

file-roller (2.29.2-0ubuntu2) lucid; urgency=low

  * debian/control.in:
    - Add build-depend on libdbus-glib-1-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Dec 2009 14:13:06 +1100

file-roller (2.29.2-0ubuntu1) lucid; urgency=low

  * New upstream release:
    [ 2.29.2 ]
    - Use the eggfileformatchooser widget to select the file format
    [ 2.29.1 ]
    - #482560: Install the missing packages if a command is not available
    - #590606: drag and drop bug makes file-roller UI unusable as a whole
    - #600131: encrypt_header is left enabled when creating zip archives
    - #580624: Visual refresh issues while browsing into the directories
      included in the archive
    - #326017: 4th and 5th mouse buttons should control back forward 
    - #590027: file-roller will not update files
  * debian/rules:
    - Disable PackageKit
  * debian/patches/02_lpi.patch:
  * debian/patches/70_autotools.patch:
    - Refreshed

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Dec 2009 17:12:31 +1100

file-roller (2.28.1-1ubuntu0) lucid; urgency=low

  * Sync on Debian, remaining changes:
    - Change the rpm recommends to a suggests
    - Support zip/unzip instead of p7zip
    - Simplify Ubuntu menu
    - LP integration
    - Watch unstable versions
    - Call AM_MAINTAINER_MODE in configure.in.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 27 Nov 2009 15:30:53 +1100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,27 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Clément Stenac <zorglub@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Clément Stenac <zorglub@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
                gnome-pkg-tools (>= 0.12),
-               libglib2.0-dev (>= 2.16.0),
-               libgtk2.0-dev (>= 2.16.0),
+               dh-autoreconf,
+               gnome-common,
+               libglib2.0-dev (>= 2.25.5),
+               libgtk2.0-dev (>= 2.21.4),
+               libdbus-glib-1-dev,
                libnautilus-extension-dev (>= 2.22.2),
                gettext,
                intltool (>= 0.35.0),
                scrollkeeper,
                gnome-doc-utils (>= 0.3.2),
-               libgconf2-dev
+               libgconf2-dev,
+               liblaunchpad-integration-dev (>= 0.1.17)
 Standards-Version: 3.8.4
 Homepage: http://fileroller.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/file-roller/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/file-roller/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/file-roller/ubuntu
 
 Package: file-roller
 Architecture: any
@@ -31,11 +35,12 @@
          tar (>= 1.13.25),
          bzip2 (>= 1.0.1),
          gzip (>= 1.3.2),
-         p7zip-full
+         unzip | p7zip-full,
+         zip | p7zip-full
 Conflicts: file-roller2
 Replaces: gnome-icon-theme (<< 2.14)
-Recommends: rpm2cpio,
-            gnome-icon-theme (>= 2.18),
+Recommends: gnome-icon-theme (>= 2.18),
+            lzma,
             gvfs
 Suggests: lha,
           unrar | p7zip-rar,
@@ -43,9 +48,9 @@
           ncompress,
           binutils,
           cpio,
+          rpm2cpio,
           unace,
           lzip,
-          lzma,
           lzop,
           rzip,
           unalz,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

## file-roller 2.32.1

=== debian/changelog ===
file-roller (2.32.1-0ubuntu4) natty; urgency=low

  * debian/patches/92_git_special_chars.patch: git commit to and fix and issue 
    leading to get files with a % ignored (lp: #694067)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 31 Mar 2011 15:38:59 +0200

file-roller (2.32.1-0ubuntu3) natty; urgency=low

  * debian/patches/91_zip_command_order.patch:
   - From upstream, correctly set the order of arguments (LP: #705698)

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 23 Jan 2011 22:55:45 +0100

file-roller (2.32.1-0ubuntu2) natty; urgency=low

  * debian/rules:
   - Enable packagekit support (LP: #148084)
  * debian/control
   - Recommends sessioninstaller | packagekit.
   - Depends on genisoimage to fix support for iso archive by default
     (LP: #689317)
  * debian/patches/90_hyphen_archive_creation.patch
   - From upstream, fix archive creation with an hyphen in the name
     (LP: #671691)

 -- Julien Lavergne <gilir@ubuntu.com>  Fri, 14 Jan 2011 22:46:35 +0100

file-roller (2.32.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Nov 2010 08:48:49 +1100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Clément Stenac <zorglub@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
                gnome-pkg-tools (>= 0.12),
@@ -36,12 +36,14 @@
          bzip2 (>= 1.0.1),
          gzip (>= 1.3.2),
          unzip | p7zip-full,
-         zip | p7zip-full
+         zip | p7zip-full,
+         genisoimage
 Conflicts: file-roller2
 Replaces: gnome-icon-theme (<< 2.14)
 Recommends: gnome-icon-theme (>= 2.18),
             lzma,
-            gvfs
+            gvfs,
+            sessioninstaller | packagekit
 Suggests: lha,
           unrar | p7zip-rar,
           sharutils,

## file-roller 2.32.2

=== debian/changelog ===
file-roller (2.32.2-0ubuntu0.1) natty-proposed; urgency=low

  * New upstream bugfix version
    - Fixes "File-Roller fails to extract password-protected rar-files"
      (LP: #732600)
  * debian/patches/92_git_special_chars.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Wed, 27 Apr 2011 09:43:47 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Clément Stenac <zorglub@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
                gnome-pkg-tools (>= 0.12),

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
-			     --disable-packagekit
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
 
 DEB_DH_MAKESHLIBS_ARGS += --no-act

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/file-roller/([\d\.]+)/file-roller-([\d\.]+)\.tar\.gz

## file-roller 3.0.0

=== debian/changelog ===
file-roller (3.0.0-1) experimental; urgency=low

  * New upstream stable release.
  * Bump Build-Dependencies to new requirements.
  * Enable libmagic support.
  * Depend on nautilus-data, as file-roller relies on nautilus' gsettings
    schemas.
  * Drop ancient conflict on file-roller2.
  * Drop dependencies on tar and gzip (essential) and make bzip2 unversioned,
    as the version requirements have been available in Debian since
    2000/2001.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Apr 2011 11:56:29 +0200

file-roller (2.91.93-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 27 Mar 2011 12:41:34 +0530

file-roller (2.91.92-1) experimental; urgency=low

  * New upstream release.

  [ Josselin Mouette ]
  * 11_search_as_you_type.patch: patch from Siegfried-Angel Gevatter 
    Pujals. Allow search-as-you-type in the file-roller window.
    Closes: #598131.

  [ Frederic Peters ]
  * debian/control.in:
    + build-deps: updateded: switched to libgtk-3-dev, removed libgconf,
      bumped libnautilus-extension-dev.
  * debian/patches/:
    + 01_rar_crasher.patch: removed, upstream
    + 02_escape_newlines.patch: removed, upstream
    + 03_tar_xz_update.patch: removed, upstream
    + 10_command_dpkg.patch: removed, upstream
  * debian/file-roller.mime:
    + added application/x-lrzip
    + added application/x-lrzip-compressed-tar
    + added application/x-ms-wim

 -- Frederic Peters <fpeters@debian.org>  Thu, 24 Mar 2011 22:39:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,53 +6,44 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clément Stenac <zorglub@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Clément Stenac <zorglub@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
                gnome-pkg-tools (>= 0.12),
-               dh-autoreconf,
-               gnome-common,
                libglib2.0-dev (>= 2.25.5),
-               libgtk2.0-dev (>= 2.21.4),
-               libdbus-glib-1-dev,
-               libnautilus-extension-dev (>= 2.22.2),
+               libgtk-3-dev (>= 3.0.2),
+               libmagic-dev,
+               libnautilus-extension-dev (>= 2.91.0),
                gettext,
-               intltool (>= 0.35.0),
+               intltool (>= 0.40.0),
                scrollkeeper,
-               gnome-doc-utils (>= 0.3.2),
-               libgconf2-dev,
-               liblaunchpad-integration-dev (>= 0.1.17)
-Standards-Version: 3.8.4
-Homepage: http://fileroller.sourceforge.net
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/file-roller/ubuntu
+               gnome-doc-utils (>= 0.3.2)
+Standards-Version: 3.9.2
+Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/experimental/file-roller/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/file-roller/
+Homepage: http://fileroller.sourceforge.net/
 
 Package: file-roller
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tar (>= 1.13.25),
-         bzip2 (>= 1.0.1),
-         gzip (>= 1.3.2),
-         unzip | p7zip-full,
-         zip | p7zip-full,
-         genisoimage
-Conflicts: file-roller2
+         bzip2,
+         p7zip-full,
+         nautilus-data (>= 3.0)
 Replaces: gnome-icon-theme (<< 2.14)
-Recommends: gnome-icon-theme (>= 2.18),
-            lzma,
-            gvfs,
-            sessioninstaller | packagekit
+Recommends: rpm2cpio,
+            gnome-icon-theme (>= 2.18),
+            gvfs
 Suggests: lha,
           unrar | p7zip-rar,
           sharutils,
           ncompress,
           binutils,
           cpio,
-          rpm2cpio,
           unace,
           lzip,
+          lzma,
           lzop,
           rzip,
           unalz,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
@@ -10,7 +9,9 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
+			     --disable-packagekit \
+			     --enable-magic
 
 DEB_DH_MAKESHLIBS_ARGS += --no-act

## file-roller 3.0.2

=== debian/changelog ===
file-roller (3.0.2-2) unstable; urgency=low

  [ Josselin Mouette ]
  * file-roller.mime: dropped. We don’t do necromancy anymore.
  * Drop desktop-check-mime-types call too.

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * debian/watch:
    - Switch to .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Oct 2011 22:43:53 +0200

file-roller (3.0.2-1) experimental; urgency=low

  * New upstream release.
  * debian/watch: Switch to .bz2 tarballs.
  * Refresh debian/patches/11_search_as_you_type.patch.
  * Drop debian/patches/90_relibtoolize.patch, unused.
  * Drop initial article from short description.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Jun 2011 20:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Clément Stenac <zorglub@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 5),
+               debhelper (>= 8),
                gnome-pkg-tools (>= 0.12),
                libglib2.0-dev (>= 2.25.5),
                libgtk-3-dev (>= 3.0.2),
@@ -20,8 +20,8 @@
                scrollkeeper,
                gnome-doc-utils (>= 0.3.2)
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/experimental/file-roller/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/file-roller/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/file-roller
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/file-roller
 Homepage: http://fileroller.sourceforge.net/
 
 Package: file-roller
@@ -52,7 +52,7 @@
           zoo,
           xz-utils,
           arj
-Description: an archive manager for GNOME
+Description: archive manager for GNOME
  File-roller is an archive manager for the GNOME environment. It allows you to:
  .
   * Create and modify archives.

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,6 @@
 	rm -f debian/file-roller/usr/lib/nautilus/extensions-*/*.a
 	rm -f debian/file-roller/usr/lib/nautilus/extensions-*/*.la
 
-binary-post-install/file-roller::
-	# check for missing MIME types
-	desktop-check-mime-types
-
 clean::
 	rm -f src/fr-marshal.? src/fr-enum-types.?
 	if [ -f configure.in ] && [ ! -f gnome-doc-utils.make ]; then \
